Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## lbg
Enum VirtualizationLevel

    java.lang.Object
      java.lang.Enum<VirtualizationLevel>
          lbg.VirtualizationLevel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<VirtualizationLevel>

    public enum VirtualizationLevel

extends java.lang.Enum<VirtualizationLevel>

Author:
  Cyril Briquet

Enum Constant Summary
`LIVE_MODE`
`SIM_MODE`

Method Summary
`static VirtualizationLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static VirtualizationLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LIVE_MODE

    public static final VirtualizationLevel LIVE_MODE

### SIM_MODE

    public static final VirtualizationLevel SIM_MODE

Method Detail

### values

    public static final VirtualizationLevel[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(VirtualizationLevel c : VirtualizationLevel.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static VirtualizationLevel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.